Subject: bug#64090: Cannot compute a file with a G-exp

From: "(" <[email-masked]>
Date: Sat, 17 Jun 2023 17:27:46 +0100

Robby Zambito <[email-masked]> writes:
> Strangely with-extensions doesn't seem to be including the whole
> dependency tree for me. Should it?

No, I don't think it should. It *would* be possible to traverse the
package inputs and add all the GUILE-BUILD-SYSTEM-using packages, but
then you get the problem that not all Guile packages have their
dependencies specified in the INPUTS list (for some reason, IIRC, you
need the Guile dependencies to be in both INPUTS *and* NATIVE-INPUTS,
but some have them only in NATIVE-INPUTS). 

The problem there is that if you have a dependency that's only in
NATIVE-INPUTS, it's difficult to tell if it's actually used by the
application or by, say, a build script.

  -- (